=== debian/control ===
Source: open-vm-tools-lts-trusty
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends:
 debhelper (>= 9), autotools-dev, doxygen, libcunit1-dev,
 libdumbnet-dev, libfuse-dev, libgtk2.0-dev, libgtkmm-2.4-dev,
 libicu-dev, libnotify-dev, libpam0g-dev, libx11-dev,
 libxinerama-dev, libxss-dev, libxtst-dev, dh-autoreconf
Standards-Version: 3.9.5
Homepage: http://open-vm-tools.sourceforge.net/
Vcs-Git: https://github.com/bzed/pkg-open-vm-tools.git
Vcs-Browser: https://github.com/bzed/pkg-open-vm-tools

Package: open-vm-tools-lts-trusty
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ethtool, zerofree
Suggests: open-vm-tools-lts-trusty-desktop
Breaks: open-vm-toolbox (<= 2:9.4.0-1280544-5)
Conflicts: open-vm-dkms (<< 2:9.4.0-1280544-5ubuntu6), open-vm-tools-dkms (<< 2:9.4.0-1280544-5ubuntu6), open-vm-toolbox (<= 2:9.4.0-1280544-5), open-vm-tools (<< 2:9.4.0-1280544-5ubuntu6)
Replaces: open-vm-tools, open-vm-dkms-lts-trusty, open-vm-tools-lts-trusty-dkms
Provides: open-vm-dkms-lts-trusty, open-vm-tools-lts-trusty-dkms
Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This backport of open-vm-tools from Trusty is a hardware enablement
 (HWE) package. Combined with an HWE kernel it enables additional features
 that are not available with the General Availability (GA) kernel and
 open-vm-tools project packages for this Long-Term Support (LTS) release.
 The HWE kernel from saucy (kernel version 3.11), or later, is required.
 .
 This package contains only the core user-space programs and libraries.

Package: open-vm-tools-lts-trusty-desktop
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools-lts-trusty (= ${binary:Version})
Recommends:
 xauth, xserver-xorg-input-vmmouse,
 xserver-xorg-video-vmware
Suggests: xdg-utils
Conflicts: open-vm-toolbox (<< 2:9.2.3-1031360-2~)
Replaces: open-vm-toolbox-lts-trusty
Provides: open-vm-toolbox-lts-trusty
Description: Open VMware Tools for virtual machines hosted on VMware (GUI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This backport of open-vm-tools from Trusty is a hardware enablement
 (HWE) package. Combined with an HWE kernel it enables additional features
 that are not available with the General Availability (GA) kernel and
 open-vm-tools project packages for this Long-Term Support (LTS) release.
 .
 This package contains the user-space programs and libraries that are essential
 for improved user experience of VMware virtual machines.

Package: open-vm-tools-lts-trusty-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}
Conflicts: open-vm-tools-dev (<< 2:9.2.3-1031360-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (development)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This backport of open-vm-tools from Trusty is a hardware enablement
 (HWE) package. Combined with an HWE kernel it enables additional features
 that are not available with the General Availability (GA) kernel and
 open-vm-tools project packages for this Long-Term Support (LTS) release.
 .
 This package contains the development files.

Package: open-vm-tools-lts-trusty-dbg
Section: debug
Priority: extra
Architecture: amd64 i386
Depends: ${misc:Depends}, open-vm-tools-lts-trusty (= ${binary:Version}), open-vm-tools-lts-trusty-desktop (= ${binary:Version})
Conflicts: open-vm-tools-dbg (<< 2:9.2.3-1031360-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (debug)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This backport of open-vm-tools from Trusty is a hardware enablement
 (HWE) package. Combined with an HWE kernel it enables additional features
 that are not available with the General Availability (GA) kernel and
 open-vm-tools project packages for this Long-Term Support (LTS) release.
 .
 This package contains the debugging symbols.

Package: open-vm-tools-lts-trusty-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends}, open-vm-tools-lts-trusty
Conflicts: open-vm-dkms (<< 2:9.2.3-1031360-2~), open-vm-tools-dkms (<< 2:9.2.3-1031360-2~)
Replaces: open-vm-dkms-lts-trusty
Provides: open-vm-dkms-lts-trusty
Description: Open VMware Tools for virtual machines hosted on VMware (transitional package)
 Package to ease upgrading from older open-vm-tools-dkms packages.  Drivers
 from this package are now provided in the kernel or have been deprecated.
 .
 This package can be purged at any time.

Package: open-vm-dkms-lts-trusty
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, open-vm-tools-lts-trusty-dkms
Conflicts: open-vm-dkms (<< 2:9.2.3-1031360-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (transitional package)
 Package to ease upgrading from older open-vm-dkms packages to the new
 open-vm-tools-lts-trusty-dkms package.
 .
 This package can be purged at anytime once the open-vm-tools-lts-trusty-dkms package has
 been installed.

Package: open-vm-toolbox-lts-trusty
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, open-vm-tools-lts-trusty-desktop
Conflicts: open-vm-toolbox (<< 2:9.2.3-1031360-2~)
Description: Open VMware Tools for virtual machines hosted on VMware (transitional package)
 Package to ease upgrading from older open-vm-toolbox packages to the new
 open-vm-tools-lts-trusty-desktop package.
 .
 This package can be purged at anytime once the open-vm-tools-lts-trusty-desktop
 package has been installed.
