=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's|^.*:||' -e 's|-.*$$||')

%:
	dh ${@} --with autotools_dev,autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
			--prefix=/usr \
			--libdir=\$${prefix}/lib \
			--without-kernel-modules \
			--without-procps \
			CFLAGS="-Wno-deprecated-declarations $(CFLAGS)" \
			CUSTOM_PROCPS_NAME=procps

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-vm-tools-lts-trusty

	if [ -e debian/open-vm-tools-lts-trusty/etc/pam.d/vmtoolsd-x64 ]; \
	then \
		sed -i -e "s|lib64|lib|g" debian/open-vm-tools-lts-trusty/etc/pam.d/vmtoolsd-x64; \
		mv debian/open-vm-tools-lts-trusty/etc/pam.d/vmtoolsd-x64 debian/open-vm-tools-lts-trusty/etc/pam.d/vmtoolsd; \
	fi

	chmod 0644 debian/open-vm-tools-lts-trusty/etc/pam.d/vmtoolsd

	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-tools-lts-trusty-desktop/etc/vmware-tools/xautostart.conf
	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools-lts-trusty/etc/vmware-tools/tools.conf
	install -D -m 0755 debian/local/open-vm-tools.service debian/open-vm-tools-lts-trusty/lib/systemd/system/open-vm-tools.service

	# open-vm-tools-lts-trusty-dev
	mkdir -p debian/open-vm-tools-lts-trusty-dev/usr/share/doc/open-vm-tools-lts-trusty
	mv debian/open-vm-tools-lts-trusty/usr/share/doc/open-vm-tools/api debian/open-vm-tools-lts-trusty-dev/usr/share/doc/open-vm-tools-lts-trusty

	# removing useless files
	rm -f debian/open-vm-tools-lts-trusty/usr/lib/*.la
	rm -f debian/open-vm-tools-lts-trusty/usr/lib/open-vm-tools/plugins/*/*.la
	rm -rf debian/open-vm-tools-lts-trusty/usr/share/open-vm-tools/tests

	# moving open-vm-tools-lts-trusty files
	mkdir -p debian/open-vm-tools-lts-trusty/sbin
	mv debian/open-vm-tools-lts-trusty/usr/sbin/mount.vmhgfs debian/open-vm-tools-lts-trusty/sbin/mount.vmhgfs

	# moving open-vm-tools-lts-trusty-desktop files
	mkdir -p debian/open-vm-tools-lts-trusty-desktop/usr/lib/open-vm-tools/plugins
	mv debian/open-vm-tools-lts-trusty/usr/lib/open-vm-tools/plugins/vmusr debian/open-vm-tools-lts-trusty-desktop/usr/lib/open-vm-tools/plugins

	mv debian/open-vm-tools-lts-trusty/usr/share/open-vm-tools/ debian/open-vm-tools-lts-trusty/usr/share/open-vm-tools-lts-trusty/

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_fixperms:
	dh_fixperms -Xsbin/mount.vmhgfs

override_dh_installinit:
	dh_installinit --update-rcd-params='start 38 2 3 4 5 . stop 38 0 1 6 .'

override_dh_strip:
	dh_strip --dbg-package=open-vm-tools-lts-trusty-dbg
