=== debian/watch ===
version=3
opts=downloadurlmangle=s#tools/open-vm-tools#tools/open-vm-tools-lts-trusty# \
 http://sf.net/open-vm-tools/open-vm-tools-([0-9]{0,2}\.[0-9.]+-[0-9]+)\.tar\.gz
